Loading...
Searching...
No Matches
elasticity_upscale.hpp File Reference

Elasticity upscale class. More...

`#include <opm/common/utility/platform_dependent/disable_warnings.h>`
`#include <dune/common/fmatrix.hh>`
`#include <opm/common/utility/parameters/ParameterGroup.hpp>`
`#include <dune/grid/common/mcmgmapper.hh>`
`#include <dune/geometry/quadraturerules.hh>`
`#include <dune/istl/ilu.hh>`
`#include <dune/istl/solvers.hh>`
`#include <dune/istl/preconditioners.hh>`
`#include <opm/grid/CpGrid.hpp>`
`#include <opm/elasticity/shapefunctions.hpp>`
`#include <opm/common/utility/platform_dependent/reenable_warnings.h>`
`#include <opm/elasticity/asmhandler.hpp>`
`#include <opm/elasticity/boundarygrid.hh>`
`#include <opm/elasticity/elasticity.hpp>`
`#include <opm/elasticity/elasticity_preconditioners.hpp>`
`#include <opm/elasticity/logutils.hpp>`
`#include <opm/elasticity/materials.hh>`
`#include <opm/elasticity/matrixops.hpp>`
`#include <opm/elasticity/meshcolorizer.hpp>`
`#include <opm/elasticity/mpc.hh>`
`#include <opm/elasticity/mortar_schur.hpp>`
`#include <opm/elasticity/mortar_utils.hpp>`
`#include <opm/elasticity/mortar_evaluator.hpp>`
`#include <opm/elasticity/mortar_schur_precond.hpp>`
`#include <opm/elasticity/uzawa_solver.hpp>`
`#include <opm/input/eclipse/Parser/Parser.hpp>`
`#include <opm/input/eclipse/Deck/Deck.hpp>`
`#include "elasticity_upscale_impl.hpp"`

Go to the source code of this file.

## Classes

struct | Opm::Elasticity::LinSolParams
class | Opm::Elasticity::ElasticityUpscale< GridType, PC >
| The main driver class. More...

## Namespaces

namespace | Opm
| Inverting small matrices.

## Enumerations

enum | Opm::Elasticity::Solver { DIRECT , ITERATIVE }
| An enumeration of available linear solver classes.
enum | Preconditioner { AMG , FASTAMG , SCHWARZ , TWOLEVEL , UNDETERMINED }
enum | Opm::Elasticity::MultiplierPreconditioner { Opm::Elasticity::SIMPLE , Opm::Elasticity::SCHUR , Opm::Elasticity::SCHURAMG , Opm::Elasticity::SCHURSCHWARZ , Opm::Elasticity::SCHURTWOLEVEL }
| An enumeration of the available preconditioners for multiplier block. More...
enum | Opm::Elasticity::Smoother { SMOOTH_SSOR = 0 , SMOOTH_SCHWARZ = 1 , SMOOTH_JACOBI = 2 , SMOOTH_ILU = 4 }
| Smoother used in the AMG.

## Detailed Description

Elasticity upscale class.

Date
  Nov 9 2011

Author
  Arne Morten Kvarving / SINTEF

## Enumeration Type Documentation

## MultiplierPreconditioner

enum Opm::Elasticity::MultiplierPreconditioner

An enumeration of the available preconditioners for multiplier block.

Enumerator
SIMPLE | diagonal approximation of A
SCHUR | schur + primary preconditioner
SCHURAMG | schur + amg
SCHURSCHWARZ | schur + schwarz+lu
SCHURTWOLEVEL | schur + twolevel